Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #4505
    AvatarDaevyvanderSpoel
    Supported

    Hello,

    We work with PHP 8.0.12. When I go to the theme Editor page i get the following error:
    Uncaught TypeError: method_exists(): Argument #1 ($object_or_class) must be of type object|string, bool given in /nfs/vsp/dds.nl/b/bosmantel/public_html/wordpress/bosmantelnieuw/wp-content/plugins/woocommerce/packages/woocommerce-admin/src/PageController.php:359

    On the internet i cant find a step by step solution. I think i need to change something in the PageController map. Can you help me with the code i need to change? So the theme works also on PHP 8

    #4506

    Hi there,
    Currently, php 8 can cause errors in some functions of the woocommerce plugin.
    You should use php 7.x for best functionality!

    Thanks

Viewing 2 posts - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.